"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var animated_fab_common_1 = require("./animated-fab.common");
var app = require("tns-core-modules/application");
var color = require("tns-core-modules/color");
var imageSource = require("tns-core-modules/image-source");
var AnimatedFab = (function (_super) {
    __extends(AnimatedFab, _super);
    function AnimatedFab() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AnimatedFab.prototype.bind = function (view, colorHex, isBig, buttonItems) {
        var resId = app.android.foregroundActivity.getResources().getIdentifier("fab_layout", "layout", app.android.foregroundActivity.getPackageName());
        var child = app.android.foregroundActivity.getLayoutInflater().inflate(resId, null);
        var buttonId = app.android.foregroundActivity.getResources().getIdentifier("menu_fab", "id", app.android.foregroundActivity.getPackageName());
        var fabMenu = child.findViewById(buttonId);
        var col = new color.Color(colorHex).android;
        fabMenu.setMenuButtonColorNormal(col);
        var colorSelectId = app.android.foregroundActivity.getResources().getIdentifier("ns_blue", "color", app.android.foregroundActivity.getPackageName());
        console.log('colorSelectId is: ' + colorSelectId);
        fabMenu.setMenuButtonColorPressed(colorSelectId);
        var fabButton1 = new com.github.clans.fab.FloatingActionButton(app.android.foregroundActivity);
        fabButton1.setColorNormal(new color.Color(colorHex).android);
        fabButton1.setLabelText("New Client");
        fabButton1.setButtonSize(com.github.clans.fab.FloatingActionButton.SIZE_MINI);
        var newIconImg = imageSource.fromFile('~/img/add-user-100.png');
        fabButton1.setImageBitmap(newIconImg.android);
        fabButton1.setColorFilter(new color.Color('#ffffff').android, android.graphics.PorterDuff.Mode.MULTIPLY);
        var fabButton2 = new com.github.clans.fab.FloatingActionButton(app.android.foregroundActivity);
        fabButton2.setColorNormal(new color.Color(colorHex).android);
        fabButton2.setLabelText("New Client");
        fabButton2.setButtonSize(com.github.clans.fab.FloatingActionButton.SIZE_MINI);
        fabMenu.addMenuButton(fabButton1);
        fabMenu.addMenuButton(fabButton2);
        view.addView(child);
    };
    return AnimatedFab;
}(animated_fab_common_1.Common));
exports.AnimatedFab = AnimatedFab;
//# sourceMappingURL=animated-fab.android.js.map