"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var animated_fab_common_1 = require("./animated-fab.common");
var color = require("tns-core-modules/color");
var imageSource = require("tns-core-modules/image-source");
var AnimatedFab = (function (_super) {
    __extends(AnimatedFab, _super);
    function AnimatedFab() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AnimatedFab.prototype.bind = function (view, colorHex, isBig, buttonItems) {
        var _this = this;
        var fab = KCFloatingActionButton.alloc().init();
        fab.plusColor = new color.Color("#ffffff").ios;
        fab.buttonColor = new color.Color(colorHex).ios;
        if (isBig) {
            fab.size = 64;
        }
        buttonItems.forEach(function (item) {
            var fabItem = _this.createFabItem(colorHex, isBig, item);
            fab.addItemWithItem(fabItem);
        });
        view.addSubview(fab);
    };
    AnimatedFab.prototype.createFabItem = function (colorHex, isBig, buttonItem) {
        var newItem = KCFloatingActionButtonItem.alloc().init();
        newItem.buttonColor = new color.Color(colorHex).ios;
        newItem.title = buttonItem.title;
        var newIconImg = imageSource.fromFile(buttonItem.iconUri);
        newItem.icon = newIconImg.ios;
        var img = newItem.iconImageView.image;
        img = img.imageWithRenderingMode(2);
        newItem.iconImageView.image = img;
        newItem.handler = function (button) { return buttonItem.callback(); };
        newItem.iconImageView.tintColor = new color.Color("#ffffff").ios;
        if (isBig) {
            newItem.size = 52;
            var newIconFrame = newItem.iconImageView.frame;
            newItem.iconImageView.frame = CGRectMake(newIconFrame.origin.x - 4, newIconFrame.origin.y - 1, newIconFrame.size.width, newIconFrame.size.height);
            var newLabelFrame = newItem.titleLabel.frame;
            newItem.titleLabel.frame = CGRectMake(newLabelFrame.origin.x - 7, newLabelFrame.origin.y, newLabelFrame.size.width, newLabelFrame.size.height);
        }
        return newItem;
    };
    return AnimatedFab;
}(animated_fab_common_1.Common));
exports.AnimatedFab = AnimatedFab;
//# sourceMappingURL=animated-fab.ios.js.map